package org.springblade.device.feign;

import org.springblade.device.entity.ElevatorAlarmDirector;
import org.springblade.device.vo.ElevatorAlarmDirectorVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class ElevatorAlarmDirectorClientFallback implements IElevatorAlarmDirectorClient {
            /**
         * 详情
         */
        @Override
        public ElevatorAlarmDirectorVO detail(ElevatorAlarmDirector elevatorAlarmDirector) {
            return null;
        }

        /**
         * 查询 电梯告警负责人
         */
        @Override
        public List<ElevatorAlarmDirectorVO> list(ElevatorAlarmDirector elevatorAlarmDirector) {
            return null;
        }

    

        /**
         * 新增 电梯告警负责人
         */
        @Override
        public boolean save( ElevatorAlarmDirector elevatorAlarmDirector) {
            return false;
        }

        /**
         * 修改 电梯告警负责人
         */
        @Override
        public boolean update( ElevatorAlarmDirector elevatorAlarmDirector) {
            return false;
        }

        /**
         * 新增或修改 电梯告警负责人
         */
        @Override
        public boolean submit( ElevatorAlarmDirector elevatorAlarmDirector) {
            return false;
        }

    
        /**
         * 删除 电梯告警负责人
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
